getDocuments
READGet documents.
POST /api/v1/documents/getDocuments
curl -X POST '<your-host>/api/v1/documents/getDocuments' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"args": {}
}'Response
{
"results": [
{
"active": true,
"companyId": "string",
"createdAt": "string",
"createdBy": "string",
"description": "string",
"extension": "string",
"favorite": true,
"id": "string",
"labels": [
"string"
],
"lastActivityAt": "string",
"name": "string",
"path": "string",
"readGroups": [
"string"
],
"size": 0,
"sourceDocument": "Sales Invoice",
"sourceDocumentId": "string",
"type": "Other",
"updatedAt": "string",
"updatedBy": "string",
"writeGroups": [
"string"
]
}
],
"count": null
}Parameters
ParameterType
Input schema
schema
{
"type": "object",
"properties": {
"args": {
"type": "object",
"properties": {
"limit": {
"type": "integer",
"default": 100
},
"offset": {
"type": "integer",
"default": 0
},
"search": {
"type": [
"string",
"null"
]
},
"favorite": {
"type": "boolean"
},
"recent": {
"type": "boolean"
},
"active": {
"type": "boolean"
}
}
}
}
}